## org.codehaus.groovy.reflection.stdclasses
Class BigIntegerCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.BigIntegerCachedClass

    public class BigIntegerCachedClass

extends NumberCachedClass

Author:
  Alex.Tkachman

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
`BigIntegerCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`boolean` `isAssignableFrom(Class classToTransformFrom)`
`boolean` `isDirectlyAssignable(Object argument)`

Methods inherited from class org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
`coerceArgument`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`addNewMopMethods, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BigIntegerCachedClass

    public BigIntegerCachedClass(Class klazz,
                                 ClassInfo classInfo)

Method Detail

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

  Overrides:
    `isDirectlyAssignable` in class `CachedClass`

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

  Overrides:
    `isAssignableFrom` in class `NumberCachedClass`

Copyright © 2003-2009 The Codehaus. All rights reserved.